Архитектору и проектировщику|Тепло- и звукоизоляция URSA.RU
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Принадлежность точки объекту

Принадлежность точки объекту

Ответ
Поиск в этой теме
Непрочитано 19.10.2007, 02:38 #1
Принадлежность точки объекту
Тим Боль
 
Регистрация: 19.10.2007
Сообщений: 8

Здравствуйте, не подскажите, если стандартная функция ActiveX, определяющая принадлежит ли точка примитиву и определяющая где пересекается прямая и примитив, плоскость и примитив? Или не могли бы подсказать более простой алгоритм рисования перпендикуляра между двумя кривыми, те перпендикуляра к одной кривой, который должен закончиться на другой, чем алгоритм, основанный на определении уравнения перпендикуляра и точки пересечения перпендикуляра и кривой.
Просмотров: 3396
 
Непрочитано 19.10.2007, 02:58
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,535


Принадлежность точки примитиву можно попробовать проверить через (vlax-curve-getDistAtPoint).
Пересечение примитивов: (vla-intersectwith)
В остальном я пас
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 19.10.2007, 08:10
#3
Alaspher


 
Регистрация: 11.10.2004
e•burg
Сообщений: 773


Цитата:
Сообщение от Тим Боль Посмотреть сообщение
Или не могли бы подсказать более простой алгоритм рисования перпендикуляра между двумя кривыми, те перпендикуляра к одной кривой, который должен закончиться на другой, чем алгоритм, основанный на определении уравнения перпендикуляра и точки пересечения перпендикуляра и кривой.
Если совсем без заморочек, то как-то так:
Код:
[Выделить все]
(vl-cmdf "_.line" "_per" (cadr (entsel)) "_per" (cadr (entsel)) "")
Если построение примитива невозможно, то надо анализитовать.
Alaspher вне форума  
 
Непрочитано 19.10.2007, 09:47
#4
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,787
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
где пересекается прямая и примитив, плоскость и примитив
Посмотри здесь
http://www.elecran.com.ua/index.php?...=programer.php
Цитата:
основанный на определении уравнения перпендикуляра и точки пересечения перпендикуляра и кривой
1. Перпендикуляр перпендикулярен касательной в заданной точке кривой. Извините за тавтологию.
2. Касательная в заданной точке кривой = тангенс угда наклона или 1-я производная уравнения кривой в заданной точке. Ф-ция, вычисляющая первую производную - vlax-curve-getFirstDeriv
3. Зная касательную, а значит и перпендикуляр, построив отрезок через vla-intersectwith можно узнать пересекается или нет с другим примитивом.
VVA на форуме  
 
Непрочитано 19.10.2007, 16:59
#5
Эдуард

строительство
 
Регистрация: 16.01.2004
Петербург
Сообщений: 164
<phrase 1=


>VVA "3. Зная касательную, а значит и перпендикуляр" - vlax-curve-getSecondDeriv
Эдуард вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Принадлежность точки объекту

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Круги в точки Димас AutoCAD 11 26.06.2014 09:37
как вставить блок в точки, заданные во внешнем файле (txt,) Marina Динамические блоки 8 06.04.2012 16:04
как в CIVIL 3D точки нанесенные в 3-ке - перенести в точки п maksimys AutoCAD 3 23.08.2007 14:13
Координаты точки, лежащей на полилинии Al_Taron Программирование 1 27.11.2006 09:45
Lisp - проблема с получением точки? Кулик Алексей aka kpblc LISP 3 08.09.2006 15:14